{ pkgs ? import <nixpkgs> {} }:                                                                                                                                                

(pkgs.buildFHSUserEnv {
  name = "devfhs";
  multiPkgs = pkgs: (with pkgs; [
    android-udev-rules
    sudo
    gawk
    bzip2
    file
    gcc
    getopt
    git
    gnumake
    ncurses
    openssl
    patch
    perl
    pkgconfig
    python
    openssh
    subversion
    unzip
    wget
    which
    vim
    zlib
    libusb
    libusb1
    systemd
    strace
    swt
    xorg.libXtst
    glib
    gtk2
    gnome.gtk
  ]);
  profile = ''
    export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/lib:/lib64:/lib32:/usr/lib32:/usr/lib64:${pkgs.xorg.libXtst}/lib:${pkgs.glib}/lib:${pkgs.gtk2}/lib
  '';
  runScript = "bash";
}).env
