{ config
, pkgs
, ... }:

let 
  passwords = import ../passwords.crypt.nix;
  keys = import ../keys.nix;
  inherit (import ../lib) mkUser;
in {
  users.mutableUsers = false;
  users.defaultUserShell = pkgs.zsh;

  users.extraUsers.steveej = mkUser {
    uid = 1000;
    hashedPassword = passwords.users.steveej;
  };

  security.pam.enableU2F = true;
  security.pam.services.steveej.u2fAuth = true;
}
