{ ... }:

let
  channels-nixos-stable-path = (builtins.fetchTarball https://github.com/NixOS/nixpkgs-channels/archive/dbacfa172f9a6399f180bcd0aef7998fdec0d55a.tar.gz);
  channels-nixos-stable = import channels-nixos-stable-path { overlays = builtins.attrValues (import ./nix/overlays); };

in
with channels-nixos-stable;
stdenv.mkDerivation {
  name = "infra-env";
  buildInputs = [
    (with import (channels-nixos-stable-path+"/nixos") { configuration = {}; }; with config.system.build; [ nixos-generate-config nixos-install nixos-enter manual.manpages ])
    just
    git-crypt
    vcsh
    gnupg

    vncdo
    tesseract
    imagemagick

    esh

    xorg.xwininfo
  ];

  # Set Environment Variables
  RUST_BACKTRACE = 1;
}
